## org.apache.ivy.util.url
Class CredentialsStore

    java.lang.Object
      org.apache.ivy.util.url.CredentialsStore

    public final class CredentialsStore

extends java.lang.Object

Field Summary
`static CredentialsStore` `INSTANCE`

Method Summary
`void` `addCredentials(java.lang.String realm, java.lang.String host, java.lang.String userName, java.lang.String passwd)`
`Credentials` `getCredentials(java.lang.String realm, java.lang.String host)`
`boolean` `hasCredentials(java.lang.String host)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final CredentialsStore INSTANCE

Method Detail

### addCredentials

    public void addCredentials(java.lang.String realm,
                               java.lang.String host,
                               java.lang.String userName,
                               java.lang.String passwd)

### getCredentials

    public Credentials getCredentials(java.lang.String realm,
                                      java.lang.String host)

### hasCredentials

    public boolean hasCredentials(java.lang.String host)